﻿<script type="text/javascript">

    @*Váriavel Global para controlar entrada no fnDrawCallback*@
    var BUSCOU = false;
    @*------------------------------------*@

    @*variavél para o tratamento do tamanho das anotações*@
    let myAreas = null;
    @*------------------------------------*@

    @*Inicio checkbox grid*@
    var chkGriderCobranca = new checkBoxGrid('#grdCobranca');
    @*------------------------------------*@

    var _preencheutotais = false;


    @*Gerador de anotação*@
    var RepeaterAnotacao = function () {

         setTimeout(function () {

                  
                var rep = new Repeater({
                    containerId: '#divAnt',
                    type: 'POST',
                    headers: { '__RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val() },
                    data: { CODCLI: $('#txtCodigoClienteHid').val(), LISTTIPOBSCLI: [11] },
                    url: '@Url.Content("~/api/CadastroAnotacao/obterCadastroAnotacao")',
                    dataType: 'json',
                    model: '<table class="table table-striped table-bordered display compact" style="margin-bottom: 0rem;"> ' +
                    '<tbody>' +
                    '<tr>'+
                    '    <td>'+
                    '<div class="row">' +
                        '<div class="col-md-5 nopaddingright" style="display: flex;">' +
                        '        <strong class="strong-min-tgv" style="width: 30%;">Nota {NUMSEQOBS}:&nbsp </strong>'+
                        '       <input type="text" class="input-span-ant" style="width: 70%;" readonly  value="{NOMFNC}" />'+
                        '</div >' +
                        '<div class="col-md-3" style="display: flex;">' +
                        '        <strong class="strong-min-tgv">  Criação:&nbsp </strong>'+
                        '        <span><input type="text" class="input-span-ant" readonly style="width: 100%;" value="{DATCAD}" /></span>'+
                        '</div >' +
                        '<div class="col-md-4" style="display: flex;">' +
                        '        <strong class="strong-min-tgv">  Agendado:&nbsp </strong>' +
                        '        <span> <input type="text" class="input-span-ant" style="width: 100%;" readonly value="{DATAGDCTO}" /></span>' +
                        '</div >' +
                    '</div >' +
                    '<div class="row">' +
                        '<div class="col-md-12" style="display: flex;">' +
                        '        <textarea class="table-hover obs-repeater" readonly m-auto-height="true">{DESOBSCOMPLETA}</textarea >' +
                        '</div >' +
                    '</div>' +
                    '    </td>'+
                    '</tr>'+
                    '</tbody> '+
                    '</table>'
                });

                @*Comando que define o tamanho das anotações*@
                rep.onsucces = function () {
                        myAreas = $('textarea[m-auto-height="true"]');
                        myAreas.keyup(function () {
                            //$(this).attr('style', 'height: 30px !important;');
                            $(this).attr('style', 'height: ' + parseInt($(this).prop("scrollHeight")) + 'px !important;');
                        });
                        setTimeout(function () {
                            if (myAreas) { myAreas.keyup(); };
                        }, 500);
                };
                @*------------------------------------*@

         }, 500);
    }
    @*------------------------------------*@

    //-Log Info
    $('#btnLogInfo').click(function () {
        var ctn = $('#logInfoContainer');
        if (ctn.attr('class').indexOf('is-open') < 0) {
            ctn.addClass('is-open');
            $(this).attr('class', 'fa fa-times');
            //-timeout.
            var openKey = 'info-cnt' + (Math.random() * 500).toFixed(0);
            ctn.attr('data-open-key', openKey);
            @*Função que fecha o log ao clicar fora ou nele*@
            $('body').append($('<div class="drop-background">').click(function () {
                ctn.removeClass('is-open');
                $('#btnLogInfo').attr('class', 'fa fa-file-text-o');
                this.remove();
            }));
        } else {
            ctn.removeClass('is-open');
            $(this).attr('class', 'fa fa-file-text-o');
        }
    });

    var closeLog = function (last) {
        $('#logInfoContainer').removeClass('is-open');
        $('#btnLogInfo').attr('class', 'fa fa-file-text-o');
    };
        //----------

    //Evento que chama a pesquisa da tela.
    $("#btnPesquisarTela").click(function () {






        $("#grdCobranca").DataTable().ajax.reload();

    });

    @*Comando que define o tamanho das observações*@
    var ajustaAnotacao = function () {
        if (myAreas) { myAreas.keyup(); };
    };
    @*------------------------------------*@




    var preencherGridCobranca = function (dados) {

        $('#txtCliente').val(dados.CODCLI + " - " + dados.NOMCLI);
        $('#txtCodigoClienteHid').val(dados.CODCLI);
        $('#txtCategoria').val('Cobrança');
        $('#txtNumCgcCli').val(dados.NUMCGCCLI);
        //$('#txtValorNF').val('R$ 229,90');
        //$('#txtServico').val('TEF INTERNET C/ CONTINGÊNCIA');
        //$('#txtValorPago').val('R$ 0,00');
        $('#txtResponsavel').val(dados.NOMRES);
        //$('#txtCriadoPor').val('ADMIN');
        //$('#txtEntidade').val('TGM');
        //$('#txtDataAgendamento').val('20/08/2018');
        $('#txtSaldoDevedor').val(dados.VLRSLDTIT);
        $('#txtStatusCobranca').val('ATIVO');
        //$('#txtDataCriacao').val('07/08/2018');
        //$('#txtDescricao').val('Chamado de cobrança criado automáticamente devido ao não pagamento da fatura');
        $('#txtStatus').val(dados.STATUS);
        //$('#txtNroNf').val('12554');
        $('#txtCodCobranca').val('289');

        RepeaterAnotacao();

        $('#frmEstrutura').find('.dataTables_wrapper').find('.ui-toolbar').remove();
        $('#frmNotasFiscais').find('.dataTables_wrapper').find('.ui-toolbar').remove();
        $('#frmContatosCliente').find('.dataTables_wrapper').find('.ui-corner-bl').remove();
        $('.dataTables_personalizadocontato').find('.dataTables_wrapper').find('.buttons-collection').remove();

        $('#divPesquisa').hide();
        $('#divCobranca').show();
        $('#divBtnCRM').show();

        setTimeout(function () {
            $('#ddlTipEnd').val('0');
            $('#ddlTipEnd').trigger('change');
        }, 50);

        ($('#grdNotasFiscais').DataTable()).draw();

        $("#grdCadastroContatoGeral").DataTable().ajax.reload();
        $("#grdEstruturaMartins").DataTable().ajax.reload();
        $("#grdNotasFiscais").DataTable().ajax.reload();
    };
    @*------------------------------------*@

    //Matém o grid dimencionado.
    var redrawGrid = function (elemento) {
        try {
            setTimeout(function () {
                switch (elemento.attr('data-tab')) {
                    case 'nf':
                        ($('#grdNotasFiscais').DataTable()).draw();
                        break;
                    case 'ant':
                        setTimeout(function () {
                            if (myAreas) { myAreas.keyup(); };
                        }, 50);
                        break;
                    case 'ctocli':
                        ($('#grdCadastroContatoGeral').DataTable()).draw();
                        break;
                    case 'estcom':
                        ($('#grdEstruturaMartins').DataTable()).draw();
                        break;
                    default:
                        break;
                };
            }, 150);
        } catch (e) {
            console.log('Erro ao redraw grid: ' + e);
        };
    };

    //Função tab.
    $('#tbsMdlCad li a').click(function () {
        redrawGrid($(this));
    });

    @*Limpa os campos e recarrega o grid ao fechar o cadastro.*@
    $('#btnFecharCobranca').click(function () {

        $('#divCobranca').hide();
        $('#divBtnCRM').hide();
        $("#divPesquisa").show();

        if ($("#grdCobranca > tbody > tr > td").text().toString().trim() != 'Nenhum registro encontrado') {
            $("#grdCobranca").DataTable().ajax.reload();
        }
    });
    @*------------------------------------*@

    @*Botão para abrir nova aba Dossie aonde estarão as informações de consulta do cliente.*@
    $("#btnDossie").click(function () {
        var key = @System.Configuration.ConfigurationManager.AppSettings["MODODESENVOLVIMENTO"].ToString();

        if (key == 0)
        {
            window.open('/VENDAS.TGV.PORTAL/Paginas/CadastroCRM/Index?a=' + $('#txtCodigoClienteHid').val());
        }
        else
        {
            window.open('http://localhost:3111/Paginas/CadastroCRM/Index?a=' + $('#txtCodigoClienteHid').val());
        }
    });

    @*Função que carrega a funcionalidade da abertura da modal ao clicar na linha, ele carrega todas as informações da modal cadastro.*@
    var csnCallBack = function () {

        chkGriderCobranca.reworkConsulta();

        $('#grdCobranca tbody tr td').each(function () {


            if (!_preencheutotais) {

                //$('#txtLojasAtivasPrincipal').val(dados.QTDATIVOS);
                //$('#txtFaturamentoPrincipal').val(dados.VALORTOTAL);

                _preencheutotais = true;
            }

            var datacor = ($('#grdCobranca').DataTable()).data();
            if (datacor.length > 0) {

                var dadoscor = datacor.row($(this).parent()).data();

                if (dadoscor.DATAGDCTO.toString().trim() != '') {

                    var hoje = new Date().toDateString();
                    var strData = dadoscor.DATAGDCTO.substring(0, 11);

                    var partesData = strData.split("/");
                    var datarrr = new Date();
                    var mes = datarrr.getMonth() + 1;

                    var Compara01 = parseInt(strData.split("/")[2].toString().trim() + strData.split("/")[1].toString() + strData.split("/")[0].toString());
                    var Compara02 = parseInt(datarrr.getFullYear().toString() + mes.toString().padStart(2, '0') + datarrr.getDate().toString().padStart(2, '0'));

                    if (Compara01 < Compara02) {
                        $(this).addClass('agendamento');
                    }
                    else if (Compara01 == Compara02) {
                        $(this).addClass('agendamentohoje');
                    }

                }

            }


            $(this).click(function () {

                var data = ($('#grdCobranca').DataTable()).data();

                if (data.length > 0) {

                    var dados = data.row($(this)).data();

                    if (BUSCOU == false) {
                        BUSCOU = true;
                        preencherGridCobranca(dados);
                    }
                    else {
                        BUSCOU = false;
                    }
                }
            });
        });
    };

    var ajustaAnotacao = function () {
        setTimeout(function () {
            if (myAreas) { myAreas.keyup(); };
        }, 300);
    };

    //Tratamento de validação Negociação
    var tooltipValidationNegociacao = function () {

        var mostrarToolTip = 0;


        if ($('#txtDatAntNeg').val() == "") {
            tooltipCampoObrigatorio("#txtDatAntNeg", "Digite a Data");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if ($('#txtHoraAntNeg').val() == "") {
            tooltipCampoObrigatorio("#txtHoraAntNeg", "Digite a Hora");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if ($('#txtDesObsAntNeg').val() == "") {
            tooltipCampoObrigatorio("#txtDesObsAntNeg", "Digite a Observação");
            mostrarToolTip = mostrarToolTip + 1;
        }

        if (mostrarToolTip > 0) {
            return false;
        }
    }


    var csnCallBackNotasFiscais = function () {

        $('#grdNotasFiscais tbody tr td').each(function () {

            $(this).click(function () {

                var data = ($('#grdNotasFiscais').DataTable()).data();

                if (data.length > 0) {

                }

            });

            $('.btnVisucGrid').parent().unbind();
            $('.btnCncGrid').parent().unbind();

        });
    }


    var csnCallBackModalEmailContatos = function () {

        $('#grdEmailContatos tbody tr').each(function () {

            var data = ($('#grdEmailContatos').DataTable()).data();

            if (data.length > 0) {

                $('#grdEmailContatos tbody tr').find('.chk').each(function () {
                    var dados = data.row($(this).parent()).data();
                    $(this).html('<input type="checkbox" data-value="' + dados.DESENDETNCTO + '">');

                });

            };
        });
    };

    var RenviarEmail = function () {

        $('#grdNotasFiscais tbody tr td').each(function () {

            $(this).click(function () {
                var data = ($('#grdNotasFiscais').DataTable()).data();
                if (data.length > 0) {

                    var dados = data.row($(this).parent()).data();

                    $('#txtEmpHid').val(dados.CODEMP);
                    $('#txtCodFileEmpHid').val(dados.CODFILEMP);
                    $('#txtNunNotaHid').val(dados.NUMNOTFSCSVC);
                    $('#txtDataNunNotaHid').val(dados.DATIPRNOTFSCSVC);


                }
            });
        });

        $("#modalEmailBoleto").modal().show();
        $('#modalEmailBoleto').find('.dataTables_wrapper').find('.ui-toolbar').remove();
        $("#grdEmailContatos").DataTable().ajax.reload();
        $('#grdEmailContatos').DataTable().draw();

    }


    var Visualizar = function () {

        var CODEMP = 0;
        var CODFILEMP = 0;
        var NUMNOTFSCSVC = 0;
        var DATIPRNOTFSCSVC = "";

        $('#grdNotasFiscais tbody tr td').each(function () {

            $(this).click(function () {
                var data = ($('#grdNotasFiscais').DataTable()).data();
                if (data.length > 0) {                  
                    var dados = data.row($(this).parent()).data();
                    CODEMP = dados.CODEMP;
                    CODFILEMP = dados.CODFILEMP;
                    NUMNOTFSCSVC = dados.NUMNOTFSCSVC;
                    DATIPRNOTFSCSVC = dados.DATIPRNOTFSCSVC;
                }
            });
        });

        setTimeout(function () {

             $.ajax({
                method: 'POST',
                url: '@Url.Content("~/api/GestaoCobranca/VisualisarBoleto")',
                headers: { '__RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val() },
                async: false,
                data: {},
                data: { CODEMP: CODEMP, CODFILEMP: CODFILEMP, NUMNOTFSCSVC: NUMNOTFSCSVC, DATIPRNOTFSCSVC: DATIPRNOTFSCSVC },
                success: function (result) {

                    if (result != '') {

                        var link = "http://www.martins.com.br/FaturamentoServico.Web/ImprimeRPSBoleto.aspx?ID=" + result;
                        window.open(link);
                        setCustomIcon('fa fa-exclamation-circle');

                    }
                    else if (result == '') {

                        swal('Aviso!', "Não existe dados para gerar o boleto");
                        setCustomIcon('fa fa-exclamation-circle');
                    }
                 },
                 error: function (xhr, status, error) {

                     var messagem = xhr.responseText.toString().substring(1, 200);
                     var shortmessage = messagem;
                     if (messagem.indexOf(".") != -1) {
                         shortmessage = messagem.split(".")[0];
                     }
                     swal({
                         title: 'Erro Interno!',
                         html: '<div class="swal-error-content">' +
                             '<br><b><h4>Entrar em contato o administrador!&nbsp;</h4></b>' +
                             '<br><p>Descrição erro: &nbsp; <br>' + '<i>' +
                             String(shortmessage) + '</i></p>' + '</div>',
                         cancelButtonColor: '#3085d6',
                         cancelButtonText: 'Ok'
                     })
                     setCustomIcon('fa fa-window-close');
                 }
            });

        }, 50);
    }



    @*------------------------------------*@

    //Page Load.
    $(function () {

        var _codfunc =  @ControleDeAcesso.ObterConjuntoDePermissoesUsuario().InformacoesUsuario.CODFNC.ToString();
        if (_codfunc == 90900225) {

            swal({
                title: 'Verificar',
                text: "Acesso Não Permitido",
                showCancelButton: false,
                confirmButtonColor: '#3085d6',
                confirmButtonText: 'Sim!'
            }).then(function (result) {
                if (result.value) {
                    $(location).attr('href', '@Url.Content("~/Paginas/Default/Index")');
                }
            });

            return;
        }


        //Marca o botão e mostra o caminho.
        mostrarCaminhoMenu('Títulos', 'Cobrança');

        //Carregamente inicial do data table.
        // A consulta do pesquisar é feita nesse local ao acionar o .DataTable().ajax.reload, nesse caso ele manda as informações pelo Json
        with (new ComponenteDataTables()) {
            with (modelo) {
                carregarInicialmente = true;
                idContainerControle = "grdCobrancaContainer"
                idControle = "grdCobranca";
                ajaxPostURL = '@Url.Content("~/api/GestaoCobranca/obterCliTitulos")';
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                fnDrawCallback = csnCallBack;
                //
                with (addColunas) { cabecalho = "{check}", nomeColuna = "CODCLICHECK", classeColuna = "check-this" };
                with (addColunas) { cabecalho = "Cód.", nomeColuna = "CODCLI", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Cliente", nomeColuna = "NOMCLI", classeColuna = "text-left" };
                with (addColunas) { cabecalho = "CNPJ", nomeColuna = "NUMCGCCLI", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Grupo Econômico", nomeColuna = "NOMGRPEMPCLI", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Forma Pagamento", nomeColuna = "FORMAPG", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Status Cliente", nomeColuna = "STATUS", classeColuna = "text-right" };
                with (addColunas) {
                    cabecalho = "Sld.Devedor", nomeColuna = "VLRSLDTIT", classeColuna = "text-right",
                        retornoRender = function (data, type, row) {
                        row.VLRSLDTIT = convertStringParaDecimalFormatado(data, 2, true, 'br');
                            return convertStringParaDecimalFormatado(data, 2, true, 'br');
                        }
                };
                with (addColunas) { cabecalho = "Responsavél", nomeColuna = "NOMRES", classeColuna = "text-left" };
                with (addColunas) { cabecalho = "Agendamento", nomeColuna = "DATAGDCTO", classeColuna = "text-left" };    


                //Essas são as informações que só são enviadas quando o botão pesquisar é acionado
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodCliente", tipoJsonEnviar = 'tipoNumerico' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NOMCLI", idJsonEnviar = "txtRazaoSocial", tipoJsonEnviar = 'tipoTexto' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMCGCCLI", idJsonEnviar = "txtNumCgcEmpPes", tipoJsonEnviar = 'tipoNumerico' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODRPN", idJsonEnviar = "selCon", tipoJsonEnviar = 'tipoNumerico' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "STATUS", idJsonEnviar = "ddlStatus", tipoJsonEnviar = 'tipoNumerico' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODGRPEMPCLI", idJsonEnviar = "selGrpEcoFil", tipoJsonEnviar = 'tipoNumerico' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "ANOMESREFP", idJsonEnviar = "txtMesAnoRef", tipoJsonEnviar = 'tipoTexto' };

            };        
            inicializar(null);
        }


        //Data table da modal email cadastro.
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdEmailContatosContainer"
                idControle = "grdEmailContatos";
                ajaxPostURL = '@Url.Content("~/api/GestaoCobranca/obterCobrancaContato")';
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                scrollCollapse = true;
                fnDrawCallback = csnCallBackModalEmailContatos
                //

                with (addColunas) { cabecalho = "Nome", nomeColuna = "NOMCTO" };
                with (addColunas) { cabecalho = "Cargo", nomeColuna = "DESTIPCTO" };
                with (addColunas) { cabecalho = "Email", nomeColuna = "DESENDETNCTO" };

                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };

                with (addbotoesGrid) {
                    cabecalho = "";
                    iconeBotao = "fa fa-square-o";
                    classBotao = "chk";
                    cabecalhoClass = "text-center";
                    cabecalhoStyle = "width: 80px !important;";
                };


            }
            inicializar(null);
        }


        $("#btnEnviarBoletoEmailContados").click(function () {

            var emails = [];
            var quantidade = 0;
            var codigos = [];

            $('[data-value]').each(function () {
                if (this.checked) {
                    emails.push($(this).attr('data-value'));
                    quantidade++;
                }
            });

            if (emails.length <= 0) {
                swal('', 'Favor escolher ao menos um email para envio!');
                setCustomIcon('fa fa-window-close');
                return;
            }

            if (quantidade > 1) {
                swal('', 'Favor escolher somente um email para envio!');
                setCustomIcon('fa fa-window-close');
                return;
            }


            with (new ComponenteAJAXFactory()) {
                with (modelo) {
                    ajaxSuccessCallbackMethod = function (result) {

                        if (result == '1') {

                            $('#modalEmailBoleto').modal('hide');

                            swal('Enviado!', "Boleto Enviado com Sucesso!");
                            setCustomIcon('fa fa-exclamation-circle');

                            $('#txtEmpHid').val('');
                            $('#txtCodFileEmpHid').val('');
                            $('#txtNunNotaHid').val('');
                            $('#txtDataNunNotaHid').val('');
                        }
                        else {

                            swal('Erro!', "Erro ao enviar o Boleto!");
                            setCustomIcon('fa fa-exclamation-circle');


                        }

                    };
                    ajaxURL = '@Url.Content("~/api/GestaoCobranca/EnviarBoleto")';
                    async = true;

                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODEMP", idJsonEnviar = "txtEmpHid", tipoJsonEnviar = 'tipoNumerico' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODFILEMP", idJsonEnviar = "txtCodFileEmpHid", tipoJsonEnviar = 'tipoNumerico' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "NUMNOTFSCSVC", idJsonEnviar = "txtNunNotaHid", tipoJsonEnviar = 'tipoNumerico' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "DATIPRNOTFSCSVC", idJsonEnviar = "txtDataNunNotaHid", tipoJsonEnviar = 'tipoTexto' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "EMAIL", idJsonEnviar = function () { return emails[0]; }, tipoJsonEnviar = 'tipoFuncao' };
                };
                inicializar(null);

            };




        });






        @*Funcionalidade botão modal Alterar Responsável*@
        $(".btnGerarCobranca").click(function () {

            //if (tooltipValidationGerarCobranca()) {
            //    return;
            //}

            swal({
                title: 'Gerar?',
                text: "Deseja gerar a Cobrança dos Clientes selecionados?",
                showCancelButton: true,
                cancelButtonColor: '#d33',
                cancelButtonText: 'Não',
                confirmButtonColor: '#3085d6',
                confirmButtonText: 'Sim!'
            }).then(function (result) {
                if (result.value) {



                }
            });
            setCustomIcon('fa fa-question-circle');
        });

        @*Funcionalidade botão grid*@
        $(".btnAlterarResponsavel").click(function () {
            var arrayCodigo = chkGriderCobranca.markList;

            if (arrayCodigo.length != 0) {
                $('#modalAlterarResponsavel').modal().show();
            }
            else {
                swal("Atenção", "Selecione pelo menos um cliente para continuar.");
                setCustomIcon('fa fa-window-close');
            }
            if (arrayCodigo.length != 0) {
                setCustomIcon('fa fa-question-circle');
            }
        });
        @*------------------------------------*@
        
        @*Funcionalidade botão modal Alterar Responsável*@
        $("#btnSalvarModalAlteracaoResponsavel").click(function () {

            //if (tooltipValidationAltResponsavel()) {
            //    return;
            //}

            swal({
                title: 'Alterar?',
                text: "Deseja mesmo alterar o responsável das Cobranças selecionadas?",
                showCancelButton: true,
                cancelButtonColor: '#d33',
                cancelButtonText: 'Não',
                confirmButtonColor: '#3085d6',
                confirmButtonText: 'Sim!'
            }).then(function (result) {
                if (result.value) {

                    
                   
                }
            });
            setCustomIcon('fa fa-question-circle');

        });


        $('#selCliIdx').change(function () {

            if ($('#selCliIdx').val() != null) {

                with (new ComponenteValueBinder()) {
                    with (modelo) {
                        ajaxPostURL = '@Url.Content("~/api/CadastroOportunidade/obterClientes")';
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "selCliIdx", tipoJsonEnviar = 'tipoNumerico' };

                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtCliInx", nomeJsonSetar = "CODCLI", textoJsonSetar = "CODCLI", tipoJsonSetar = 'tipoNumerico' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtNumCgcEmpPes", nomeJsonSetar = "NUMCGCCLI", textoJsonSetar = "NUMCGCCLI", tipoJsonSetar = 'tipoTexto' };

                    };
                    inicializar();
                };
            }
        });


    @*------------------------------------*@

        @*Data table da Estrutura Martins.*@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdEstruturaMartinsContainer";
                idControle = "grdEstruturaMartins";
                ajaxPostURL = '@Url.Content("~/api/Crm/ObterEstruturaMartins")';
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                paging = false;
                scrollCollapse = true;                
                //
                with (addColunas) { cabecalho = "Ordem", nomeColuna = "ORDEM" };
                with (addColunas) { cabecalho = "Empresa", nomeColuna = "EMPRESA" };
                with (addColunas) { cabecalho = "Função", nomeColuna = "FUNCAO" };
                with (addColunas) { cabecalho = "Matrícula", nomeColuna = "MATRICULA", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Nome", nomeColuna = "NOME" };
                with (addColunas) { cabecalho = "E-mail", nomeColuna = "EMAIL" };
                with (addColunas) { cabecalho = "Superior", nomeColuna = "SUPERIOR" };

                @*Pesquisa usando o cliente*@
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
            }
            inicializar(null);
        }
        @*------------------------------------*@

        @*Data table da Notas Fiscais.*@
        with (new ComponenteDataTables()) {
            with (modelo) {
                idContainerControle = "grdNotasFiscaisContainer";
                idControle = "grdNotasFiscais";
                ajaxPostURL = '@Url.Content("~/api/GestaoCobranca/ObterNotasFiscais")';
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                scrollCollapse = true;
                fnDrawCallback = csnCallBackNotasFiscais                
                //
                with (addColunas) { cabecalho = "Nota Fiscal", nomeColuna = "NUMNOTFSCSVC", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Título", nomeColuna = "NUMTITCOBFAT", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Impressão", nomeColuna = "DATIPRNOTFSCSVC", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Vencimento", nomeColuna = "DATVNCTIT", classeColuna = "text-right" };
                with (addColunas) {
                    cabecalho = "Valor Fat", nomeColuna = "VLRPCLTIT", classeColuna = "text-right",
                        retornoRender = function (data, type, row) {
                        row.VLRNFE = convertStringParaDecimalFormatado(data, 2, true, 'br');
                            return convertStringParaDecimalFormatado(data, 2, true, 'br');
                        }
                };
                with (addColunas) { cabecalho = "Parcela", nomeColuna = "NUMPCLTITNOTFSCSVC", classeColuna = "text-center" };
                with (addColunas) {
                    cabecalho = "Saldo", nomeColuna = "VALORPAGO", classeColuna = "text-right",
                        retornoRender = function (data, type, row) {
                        row.VLRPAG = convertStringParaDecimalFormatado(data, 2, true, 'br');
                            return convertStringParaDecimalFormatado(data, 2, true, 'br');
                        }
                };
                with (addColunas) { cabecalho = "Data Pagto.", nomeColuna = "DATPGTTIT", classeColuna = "text-center"};
                with (addColunas) { cabecalho = "Status", nomeColuna = "STATUS", classeColuna = "text-center"};
                with (addColunas) { cabecalho = "Forma Pagamento", nomeColuna = "FORMAPAG" };
 
                @*Pesquisa usando o cliente*@
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };

                with (addbotoesGrid) {
                    cabecalho = "Boleto";
                    iconeBotao = "fa fa-print";
                    classBotao = "btnVisucGrid";
                    cabecalhoClass = "text-center";
                    funcaoChamarDepois = Visualizar;
                    //cabecalhoStyle = "width: 60px !important;";

                    with (additensBotaoSetar) {
                        tipoItemSetar = 'tipoNumerico',
                            idItem = "txtCodSvcTgvNegReenvioHid";
                        idColuna = "NUMNOTFSCSVC";
                        textoColuna = "NUMNOTFSCSVC"
                    };

                }

                with (addbotoesGrid) {
                    cabecalho = "Reenviar";
                    iconeBotao = "fa fa-mail-forward";
                    classBotao = "btnCncGrid";
                    cabecalhoClass = "text-center";
                    funcaoChamarDepois = RenviarEmail;
                    //cabecalhoStyle = "width: 60px !important;";
                    
                    with (additensBotaoSetar) {
                        tipoItemSetar = 'tipoNumerico',
                            idItem = "txtCodSvcTgvNegReenvioHid";
                        idColuna = "NUMNOTFSCSVC";
                        textoColuna = "NUMNOTFSCSVC"
                    };

                }
            }
            inicializar(null);
        }
        @*------------------------------------*@

        @*Grid Contato*@
        gridContatoGeral('@Url.Content("~/api/NegociacaoOportunidade/ObterContatoClienteNegociacao")');

        mostrarGridAtivarDesativarContato();
        @*------------------------------------*@

         $('#ddlTipEnd').change(function () {

            if ($('#ddlTipEnd').val() != null) {

                with (new ComponenteValueBinder()) {
                    with (modelo) {
                        ajaxPostURL = '@Url.Content("~/api/Crm/ObterDadosBasicos")';
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
                        with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "TIPENDCLI", idJsonEnviar = "ddlTipEnd", tipoJsonEnviar = 'tipoNumerico' };

                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtEnderecoCli", nomeJsonSetar = "ENDERECO", textoJsonSetar = "ENDERECO", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtBairroCli", nomeJsonSetar = "NOMBAI", textoJsonSetar = "NOMBAI", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtNomCidEstCli", nomeJsonSetar = "NOMCIDEST", textoJsonSetar = "NOMCIDEST", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtCepCli", nomeJsonSetar = "CODCEP", textoJsonSetar = "CODCEP", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtNumTelCli", nomeJsonSetar = "NUMTEL", textoJsonSetar = "NUMTEL", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtNumTelCelCli", nomeJsonSetar = "NUMTELCEL", textoJsonSetar = "NUMTELCEL", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtIeCli", nomeJsonSetar = "NUMINSESTCLI", textoJsonSetar = "NUMINSESTCLI", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtUnidadeCli", nomeJsonSetar = "UNIDADENEGOCIO", textoJsonSetar = "UNIDADENEGOCIO", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtCanalCli", nomeJsonSetar = "CANAL", textoJsonSetar = "CANAL", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtAtividadeCli", nomeJsonSetar = "NOMATI", textoJsonSetar = "NOMATI", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtSegmentoCli", nomeJsonSetar = "SEGMENTOMERCADO", textoJsonSetar = "SEGMENTOMERCADO", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtQtdeCaixaCli", nomeJsonSetar = "QDECXACLI", textoJsonSetar = "QDECXACLI", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtAreaVendaCli", nomeJsonSetar = "TAMAREFISVNDCLI", textoJsonSetar = "TAMAREFISVNDCLI", tipoJsonSetar = 'tipoTexto' };
                        with (addidsSetarRequisicaoAjax) { idJsonSetar = "txtAreaDepositoCli", nomeJsonSetar = "TAMAREFISDPSCLI", textoJsonSetar = "TAMAREFISDPSCLI", tipoJsonSetar = 'tipoTexto' };
                    };
                    inicializar();
                };
            }
        });




        //Evento do Insert da Anotação
        $("#btnInserirAnotacaoNegociacao").click(function () {

            if (tooltipValidationNegociacao() == false) {
                return;
            }

            with (new ComponenteAJAXFactory()) {
                with (modelo) {
                    ajaxSuccessCallbackMethod = function () {
                        swal('Inserido!', 'Inserção realizada com sucesso!');
                        setCustomIcon('fa fa-exclamation-circle');
                        $("#txtDesObsAntNeg").val('');
                        $("#txtDatAntNeg").val('');
                        $("#txtHoraAntNeg").val('');

                        RepeaterAnotacao();

                        setTimeout(function () {
                            ajustaAnotacao();
                        }, 1000);
                    };
                    ajaxURL = '@Url.Content("~/api/CadastroAnotacao/InserirCadastroAnotacaoGeral")';
                    async = true;
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCLI", idJsonEnviar = "txtCodigoClienteHid", tipoJsonEnviar = 'tipoNumerico' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "TIPOBSCLI", idJsonEnviar = function () { return 11; }, tipoJsonEnviar = 'tipoFuncao' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODMTVCTO", idJsonEnviar = function () { return 15; }, tipoJsonEnviar = 'tipoFuncao' }
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "DESOBS", idJsonEnviar = "txtDesObsAntNeg", tipoJsonEnviar = 'tipoTexto' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "DATAGDCTO", idJsonEnviar = "txtDatAntNeg", tipoJsonEnviar = 'tipoTexto' };
                    with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "HORAGDCTO", idJsonEnviar = "txtHoraAntNeg", tipoJsonEnviar = 'tipoTexto' };
                };
                inicializar(null);
            };
        });





        @*------------------------------------*@
    });

</script>